SystemOrganization addCategory: #TusLibros!

Object subclass: #Book
	instanceVariableNames: 'ISBN'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TusLibros'!

!Book class methodsFor: 'as yet unclassified' stamp: 'PabloFromer 6/10/2012 16:22'!
isbn: aIsbn

 ^(self new) isbn: aIsbn.! !

!Book methodsFor: 'as yet unclassified' stamp: 'PabloFromer 6/10/2012 16:20'!
isbn

  ^ISBN! !

!Book methodsFor: 'as yet unclassified' stamp: 'PabloFromer 6/10/2012 16:23'!
isbn: aIsbn

  ISBN:= aIsbn.! !

Object subclass: #Catalog
	instanceVariableNames: 'books'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TusLibros'!

!Catalog methodsFor: 'as yet unclassified' stamp: 'PabloFromer 6/10/2012 16:33'!
add: aBook

	books add: aBook.! !

!Catalog methodsFor: 'as yet unclassified' stamp: 'PabloFromer 6/10/2012 16:38'!
contains: aBook

 ^books includes: aBook.! !

!Catalog methodsFor: 'as yet unclassified' stamp: 'PabloFromer 6/10/2012 16:41'!
initialize

	books:= Set new.! !

!Catalog methodsFor: 'as yet unclassified' stamp: 'PabloFromer 6/10/2012 16:39'!
isEmpty 

 ^books isEmpty.! !

TestCase subclass: #TusLibrosTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TusLibros'!

!TusLibrosTest methodsFor: 'as yet unclassified' stamp: 'PabloFromer 6/10/2012 16:47'!
testCatalogShouldBeEmptyWhenJustCreated

	|catalog|
	
	catalog := Catalog new.
		
	self assert: (catalog isEmpty).! !
